//
// A class to manage ODF constituent information.
//
// 1998, Giuseppe Vacanti (XMM-SOC ESA)
//

#ifndef OdfConstituent_H
#define OdfConstituent_H

#include <string>


enum FileType {science, auxiliary, housekeeping, spacecraft, summary};

class OdfConstituent {
  
 public:
  
  OdfConstituent();
  OdfConstituent(string fname);
  
  string name() const;
  string revolution() const;
  string observation() const;
  string proposal() const;
  string proposal_exposure() const;
  string instrument() const;
  string scheduled() const;
  string exposure() const;
  string sux_exposure() const;
  string ccd() const;
  string data() const;
  string type() const;
  string base_name() const;
  string dir_name() const;
  
  bool is_slew() const;

  FileType file_type() const;
  
 private:
  
  string _name;
  
};

#endif
