//
// 1998-1999, Giuseppe Vacanti (XMM-SOC ESA)
//
// odffix scans a given directory for ODF components. These are then
// listed in the ODF summary file.
//
// The bulk of the work is done in OdfObject.
//

#include "param.h"

#include "errstr.h"
#include "Tracer.h"

#include "OdfObject.h"

#include "odffix.h"
#include "ahfgen.h"
#include "tcfgen.h"
#include "tcfgen.h"

void odffix () {
  PROC
    
  OdfObject * o;
  if(booleanParameter("findnominalpointing")) // from ATS file
    o = new OdfObject(stringParameter("odfdir"));
  else
    o = new OdfObject(realParameter("ra"), realParameter("dec"),
		      realParameter("posangle"), stringParameter("odfdir"));
  
  if(o->numberOfFiles() == 0){
    delete o;
    errstr << "No ODF component found" << Sas::error("NoOdfComponent");
  }

  o->generateAuxiliaryFiles();
  o->generateHousekeepingFiles();
  o->generateAttitudeHistoryFile();
  o->generateTimeCorrelationFile();
  o->generateSummaryFile();

  delete o;

  ENDPROC
}





